import Vue from 'vue'
import Router from 'vue-router'
import ViewUI from 'view-design'
import 'view-design/dist/styles/iview.css'

import Page404 from '@/components/Page404.vue'
import Main from '@/components/Main.vue'



Vue.use(ViewUI)
//读取EXCEL表格
import XLSX from 'xlsx'
Vue.use(XLSX)
//设置ajax
import ajax from '@/utils/ajax'
Vue.prototype.$ajax = ajax
Vue.config.productionTip = false

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      name: 'Main',
      component: Main
    },
    {
      path: '*',
      name: 'Page404',
      component: Page404
    },
  ]
})